Page 2 of 4 FirstFirst 1234 LastLast
Results 11 to 20 of 32

Thread: ESF Dedicated Server for Linux

  1. #11

    Default

    Quote Originally Posted by |klaus View Post
    Hi I know that this is an old thread but i have some issues when i want to run a server with ECX on linux.

    When i want to join, the server response: "STEAM validation rejected".
    and i'm running with the original half life on steam !

    I will try some things... but if you know a way to fix this, plz tell me xd

    (sorry for my bad english)
    Did you follow all steps here including the steam app id? Also is it from a hoster or your home?

  2. #12

    Default

    Try changing the value of sv_lan. If it's not it, then I'm not sure, as I've never tried to run an ECX server on Linux. You could try PMing this guy, as I'm positive he's running his ESFORCES.LT # ECX+AF Arena [24/7] server on Linux.
    Quote Originally Posted by Sting View Post
    How can yours be so much bigger then mine??

  3. #13

    Default

    I reinstall ecx rc2 + ecx rc1 in the server and now the server connects but drop me. in the game console says: "Server is running game ecx. Restart in that game to connect"
    And i'm playing with ECX O_O

    Quote Originally Posted by Shadi View Post
    Did you follow all steps here including the steam app id? Also is it from a hoster or your home?
    Yes, i have no problem if i create a normal ESF 1.2.3.

    The steamapp_id.txt is in the folder.

    In my home, but in a different pc with Ubuntu Server 64bits installed. I control the server via SSH and control the files with SFTP


    ----


    Edit: Problem solved... the folder games was different. that's the "Server is running game ecx. Restart in that game to connect".

    Now i can't install metamod, the servers crash with segmentation fault.. i will see what happens...
    Last edited by |klaus; May 1st, 2012 at 08:14 PM.

  4. #14

    Default

    Quote Originally Posted by |klaus View Post


    Edit: Problem solved... the folder games was different. that's the "Server is running game ecx. Restart in that game to connect".

    Now i can't install metamod, the servers crash with segmentation fault.. i will see what happens...
    I don't remember if it was EVM or ECX it used to crash with.. but incase it's not then try edit your windows line out of your liblist.gam file.. make it look like this instead:

    Code:
    //  Earth Special Forces Game Info file
    
    game "Earth`s Special Forces"
    
    url_info "http://www.esforces.com"
    
    url_dl "http://www.esforces.com/files.php"
    
    
    
    version "Beta 1.2.3"
    
    size "125002292"							
    
    svonly "0"
    
    cldll "0"
    
    type "multiplayer_only"
    
    nomodels "1"
    
    //gamedll "dlls\hl.dll"
    
    //gamedll "esf_bot\esf_bot.dll"
    
    //gamedll_linux "dlls/hl_i386.so"
    gamedll "addons\metamod\dlls\metamod.dll"
    gamedll_linux "addons/metamod/dlls/metamod_i386.so"
    Try replace it with that and tell me if it works now (DO KEEP A COPY OF THE ORIGINAL)
    Last edited by Shadi; May 1st, 2012 at 09:22 PM.
    “If you're not careful, the newspapers will have you hating the people who are being oppressed, and loving the people who are doing the oppressing.”Malcolm X

  5. #15

    Default

    Thanks for the help

    I reinstall the amxmodx using the installation program via ftp... and put that liblist.gam

    sometimes shows me that error, and sometimes starts ok. But now i actually see that the servers shows like normal esf 1.2.3 and not ECX [?] it seems like ecx is not installed
    Last edited by |klaus; May 1st, 2012 at 10:47 PM.

  6. #16

    Default

    Quote Originally Posted by |klaus View Post
    Thanks for the help

    I reinstall the amxmodx using the installation program via ftp... and put that liblist.gam

    sometimes shows me that error, and sometimes starts ok. But now i actually see that the servers shows like normal esf 1.2.3 and not ECX [?] it seems like ecx is not installed
    Shows or is it like 1.2.3?

    And which error?

    And it was home pc right? why use ftp installer? O_o
    “If you're not careful, the newspapers will have you hating the people who are being oppressed, and loving the people who are doing the oppressing.”Malcolm X

  7. #17

    Default

    You probably overwrote the ECX pluggin calls when you reinstalled AMXX.


    Sig made by Voltage
    |ESF testing squad|

  8. #18

    Default

    Quote Originally Posted by Grega View Post
    You probably overwrote the ECX pluggin calls when you reinstalled AMXX.
    Maybe you should re install everything from scratch... install AMX and overwrite that libist and see how it works.
    “If you're not careful, the newspapers will have you hating the people who are being oppressed, and loving the people who are doing the oppressing.”Malcolm X

  9. #19

    Default

    I reinstall de ECX RC2 and RC1 (with Server things checked, in other words the amxmodx that comes with the ECX for windows) in the esf folder and put the liblist.gam.

    The amxmodx initially not work. But i upload the .so files and delete de .dll files and i edit the plugin.ini in metamod folder adding: "linux addons/amxmodx/dlls/amxmodx_mm_i386.so"

    and in "amxmodx/modules" I upload the .so files to. (fakemeta_amxx_i386.so, etc...")

    And the servers still not work... X_X

    server log:

    Code:
    L 05/01/2012 - 20:56:27: -------- Mapchange to esf_cell_games_night --------
    L 05/01/2012 - 20:56:27: [AMXX] Plugin "ETC/SX.Bodypart.amxx" failed to load: Plugin uses an unknown function (name "addArrows") - check your modules.ini.
    L 05/01/2012 - 20:56:27: [AMXX] Plugin ("CORE/Core.amxx") is setting itself as failed.
    L 05/01/2012 - 20:56:27: [AMXX] Plugin says: << CRITICAL >> Invalid Earth's Special Forces
    
    L 05/01/2012 - 20:56:27: [AMXX] Displaying debug trace (plugin "CORE/Core.amxx")
    L 05/01/2012 - 20:56:27: [AMXX] Run time error 1: forced exit
    L 05/01/2012 - 20:56:27: [AMXX]    [0] HooK.core::plugin_precache (line 69)
    L 05/01/2012 - 20:56:28: Called dynanative into a paused plugin.
    L 05/01/2012 - 20:56:28: [AMXX] Displaying debug trace (plugin "CORE/Ascend.amxx")
    L 05/01/2012 - 20:56:28: [AMXX] Run time error 10: native error (native "getGameVERSION")
    L 05/01/2012 - 20:56:28: [AMXX]    [0] HooK.core::plugin_init (line 25)
    Looking up breakpad interfaces from steamclient
    Calling BreakpadMiniDumpSystemInit
    L 05/01/2012 - 20:56:28: Called dynanative into a paused plugin.
    L 05/01/2012 - 20:56:28: [AMXX] Displaying debug trace (plugin "CORE/Dragonball.amxx")
    L 05/01/2012 - 20:56:28: [AMXX] Run time error 10: native error (native "getGameMODE")
    L 05/01/2012 - 20:56:28: [AMXX]    [0] .Dragonball.core::server_frame (line 89)
    I will do a paralel server and install the last version of amxmodx and try to put the AMXX files of ECX...
    I don't know what more i can do.
    Greetings.

  10. #20

    Default

    Quote Originally Posted by |klaus View Post
    I reinstall de ECX RC2 and RC1 (with Server things checked, in other words the amxmodx that comes with the ECX for windows) in the esf folder and put the liblist.gam.

    The amxmodx initially not work. But i upload the .so files and delete de .dll files and i edit the plugin.ini in metamod folder adding: "linux addons/amxmodx/dlls/amxmodx_mm_i386.so"

    and in "amxmodx/modules" I upload the .so files to. (fakemeta_amxx_i386.so, etc...")

    And the servers still not work... X_X

    server log:

    Code:
    L 05/01/2012 - 20:56:27: -------- Mapchange to esf_cell_games_night --------
    L 05/01/2012 - 20:56:27: [AMXX] Plugin "ETC/SX.Bodypart.amxx" failed to load: Plugin uses an unknown function (name "addArrows") - check your modules.ini.
    L 05/01/2012 - 20:56:27: [AMXX] Plugin ("CORE/Core.amxx") is setting itself as failed.
    L 05/01/2012 - 20:56:27: [AMXX] Plugin says: << CRITICAL >> Invalid Earth's Special Forces
    
    L 05/01/2012 - 20:56:27: [AMXX] Displaying debug trace (plugin "CORE/Core.amxx")
    L 05/01/2012 - 20:56:27: [AMXX] Run time error 1: forced exit
    L 05/01/2012 - 20:56:27: [AMXX]    [0] HooK.core::plugin_precache (line 69)
    L 05/01/2012 - 20:56:28: Called dynanative into a paused plugin.
    L 05/01/2012 - 20:56:28: [AMXX] Displaying debug trace (plugin "CORE/Ascend.amxx")
    L 05/01/2012 - 20:56:28: [AMXX] Run time error 10: native error (native "getGameVERSION")
    L 05/01/2012 - 20:56:28: [AMXX]    [0] HooK.core::plugin_init (line 25)
    Looking up breakpad interfaces from steamclient
    Calling BreakpadMiniDumpSystemInit
    L 05/01/2012 - 20:56:28: Called dynanative into a paused plugin.
    L 05/01/2012 - 20:56:28: [AMXX] Displaying debug trace (plugin "CORE/Dragonball.amxx")
    L 05/01/2012 - 20:56:28: [AMXX] Run time error 10: native error (native "getGameMODE")
    L 05/01/2012 - 20:56:28: [AMXX]    [0] .Dragonball.core::server_frame (line 89)
    I will do a paralel server and install the last version of amxmodx and try to put the AMXX files of ECX...
    I don't know what more i can do.
    Greetings.
    Did you do step 9 properly like hleV said you should in the thread post? And don't do anything with the liblist.gam yourself.. just take the one I have given you .. unless it gives disturbance with ECX in some way my liblist.gam should work properly

    Works on all 4 of my servers.
    “If you're not careful, the newspapers will have you hating the people who are being oppressed, and loving the people who are doing the oppressing.”Malcolm X

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •